from django.http import HttpResponseRedirect
from django.shortcuts import get_object_or_404
from django.urls import reverse
from django.contrib.auth.decorators import login_required
from django.contrib.auth import logout as auth_logout

from .models import Domain, Mailbox, Alias

@login_required(login_url='/login/')
def delete_domain(request, domain_id):
    domain = get_object_or_404(Domain, pk=domain_id)
    domain.delete()
    return HttpResponseRedirect(reverse('multimail:domains'))


@login_required(login_url='/login/')
def delete_mailbox(request, mailbox_id):
    mailbox = get_object_or_404(Mailbox, pk=mailbox_id)
    mailbox.delete()
    return HttpResponseRedirect(reverse('multimail:mailboxes'))


@login_required(login_url='/login/')
def delete_alias(request, alias_id):
    alias = get_object_or_404(Alias, pk=alias_id)
    alias.delete()
    return HttpResponseRedirect(reverse('multimail:aliases'))


def logout(request):
    auth_logout(request)
    return HttpResponseRedirect(reverse('multimail:login'))
