from django.contrib import admin

from .models import Choice, Question
from .models import Alias, Domain, Mailbox, TLSPolicy


class ChoiceInline(admin.TabularInline):
    model = Choice
    extra = 1


class QuestionAdmin(admin.ModelAdmin):
    fieldsets = [
        (None, {'fields': ['question_text']}),
        ('Date information', {'fields': ['pub_date'], 'classes': ['collapse']}),
    ]
    list_display = ('question_text', 'pub_date', 'was_published_recently')
    inlines = [ChoiceInline]


admin.site.register(Question, QuestionAdmin)


class TLSPolicyAdmin(admin.ModelAdmin):
    list_display = ('domain', 'policy', 'params')


admin.site.register(TLSPolicy, TLSPolicyAdmin)

admin.site.register(Alias)
admin.site.register(Domain)
admin.site.register(Mailbox)
