from django.views import generic
from django.contrib.auth.mixins import LoginRequiredMixin
from django.contrib.auth.views import LoginView

from .models import Domain, Mailbox, Alias


class UserLoginView(LoginView):
    template_name = 'multimail/login.html'


class DomainListView(LoginRequiredMixin, generic.ListView):
    login_url = 'login/'
    template_name = 'multimail/domains.html'
    context_object_name = 'domain_list'

    def get_queryset(self):
        print(self.request.user)
        """Return the last five published questions."""
        # return Domain.objects.filter(
        #    pub_date__lte=timezone.now()
        # ).order_by('-pub_date')[:5]
        return Domain.objects.all()


class MailboxListView(LoginRequiredMixin, generic.ListView):
    login_url = 'login/'
    template_name = 'multimail/mailboxes.html'
    context_object_name = 'mailbox_list'

    def get_queryset(self):
        print(self.request.user)
        """Return the last five published questions."""
        # return Domain.objects.filter(
        #    pub_date__lte=timezone.now()
        # ).order_by('-pub_date')[:5]
        return Mailbox.objects.all()


class AliasListView(LoginRequiredMixin, generic.ListView):
    login_url = 'login/'
    template_name = 'multimail/aliases.html'
    context_object_name = 'alias_list'

    def get_queryset(self):
        print(self.request.user)
        """Return the last five published questions."""
        # return Domain.objects.filter(
        #    pub_date__lte=timezone.now()
        # ).order_by('-pub_date')[:5]
        return Alias.objects.all()
